.greetings {
    position: relative;
    max-width: 526px;
    height: auto;
    margin: auto;
    background-color: var(--primary);
    color: var(--white);
    padding: 8rem 0 8rem 0;
}

.greetings .content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.greetings .surah-card {
    position: relative;
    border: 1px solid rgba(255, 255, 255, 0.10);
    background: rgba(255, 255, 255, 0.04);
    padding: 3rem;
    border-radius: 1.5rem;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.greetings .surah-card .surah {
    max-width: 285px;
    text-align: center;
    font-family: var(--zina);
    font-size: 0.75rem;
}

.greetings .surah-card .name-surah {
    text-align: center;
    font-family: var(--zodiak);
    font-size: 1rem;
    font-weight: 900;
    margin-top: 1.5rem;
}

.greetings .ornament .corner-stencil-right img,
.greetings .ornament .corner-stencil-left img {
    width: 80px;
}

.greetings .ornament .corner-stencil-left img {
    transform: scaleX(-1) rotate(90deg);
}

.greetings .ornament .corner-stencil-right {
    position: absolute;
    top: .5rem;
    right: .5rem;
}

.greetings .ornament .corner-stencil-left {
    position: absolute;
    bottom: .5rem;
    left: .5rem;
}

.greetings .ornament .line-top,
.greetings .ornament .line-bottom {
    width: 80%;
    height: 2px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.20) 50%, rgba(255, 255, 255, 0.00) 100%);
    position: absolute;
}

.greetings .ornament .line-top {
    left: 0;
    right: 50%;
    top: 6%;
}

.greetings .ornament .line-bottom {
    right: 0;
    left: 16%;
    bottom: 6%;
}

.greetings .greet {
    font-family: var(--zodiak);
    text-align: center;
    max-width: 430px;
    font-size: 1.125rem;
    color: var(--white);
    opacity: .6;
    margin-top: 5rem;
}

.greetings .couple-details {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5rem;
    width: 80%;
}

.greetings .couple-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: auto;
    margin: auto;
}

.greetings .couple-wrapper p:nth-child(2) {
    margin: 3rem 0 1rem 0;
    font-family: var(--zina);
    font-size: 1.5rem;
    text-align: center;
}

.greetings .couple-wrapper p:nth-child(3) {
    text-align: center;
    font-family: var(--zodiak);
}

.greetings .couple-details .couple-wrapper img {
    height: auto;
    /* Ubah height menjadi auto untuk menjaga rasio aspek */
    width: 75%;
    /* Tambahkan ini untuk membuat gambar responsif */
    max-width: 400px;
    object-fit: cover;
    border: 1px solid var(--white);
}

.greetings .couple-details .skull-hand {
    width: 40%;
    margin: 4rem;
}

.greetings .torn-paper-top img {
    position: absolute;
    top: 0;
    width: 100%;
}

.greetings .torn-paper-bottom img {
    position: absolute;
    bottom: -1px;
    width: 100%;
    transform: scaleY(-1);
}
